Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.core.rap
Class ECPObserverBusFactory

    java.lang.Object
      org.eclipse.emf.ecp.core.rap.ECPObserverBusFactory

All Implemented Interfaces:
  org.osgi.framework.ServiceFactory<ECPObserverBus>

    public class ECPObserverBusFactory

extends Object
implements org.osgi.framework.ServiceFactory<ECPObserverBus>

This is the factory for5 creating the ECPObserverBus service.

Author:
  neilmack

Constructor Summary
`ECPObserverBusFactory()` default constructor.

Method Summary
`ECPObserverBus` | `getService(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<ECPObserverBus> registration)` this method returns the ECPObserverBus service for the current session.
`void` | `init()` initialise the factory.
`void` | `ungetService(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<ECPObserverBus> registration, ECPObserverBus service)` this methodis called to unget a serive from a service registration.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPObserverBusFactory

    public ECPObserverBusFactory()

  default constructor.

Method Detail

### init

    public final void init()

  initialise the factory.

### getService

    public final ECPObserverBus getService(org.osgi.framework.Bundle bundle,
                                           org.osgi.framework.ServiceRegistration<ECPObserverBus> registration)

  this method returns the ECPObserverBus service for the current session. It is called by the OSGI framework.

  Specified by:
    `getService` in interface `org.osgi.framework.ServiceFactory<ECPObserverBus>`
  Parameters:
    `bundle` - the OSGI bundle
    `registration` - the service registration
  Returns:
    the service

### ungetService

    public void ungetService(org.osgi.framework.Bundle bundle,
                             org.osgi.framework.ServiceRegistration<ECPObserverBus> registration,
                             ECPObserverBus service)

  this methodis called to unget a serive from a service registration.

  Specified by:
    `ungetService` in interface `org.osgi.framework.ServiceFactory<ECPObserverBus>`
  Parameters:
    `bundle` - the OSGI bundle
    `registration` - the service registration
    `service` - the observerbus

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.